package com.nisum.paymentvendorsimulator.controllers;

import com.nisum.paymentvendorsimulator.domain.dto.SimulatorResponse;
import com.nisum.paymentvendorsimulator.services.SimulatorService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;


@RestController
@RequestMapping("/api")
@CrossOrigin(origins = "*")
public class SimulatorController {

  private static final Logger logger = LoggerFactory.getLogger(SimulatorController.class);

  @Autowired
  SimulatorService simService;

  @PostMapping(value = "/authorize/{id}", consumes = MediaType.APPLICATION_JSON_VALUE, produces = MediaType.APPLICATION_JSON_VALUE)
  public SimulatorResponse authorize(@PathVariable(value = "id") String id) {
    logger.info("this is controller");
    return simService.authorize(id);
  }

}
