package com.nisum.paymentvendorsimulator.services;

import com.nisum.paymentvendorsimulator.domain.dto.SimulatorAmount;
import com.nisum.paymentvendorsimulator.domain.dto.SimulatorLink;
import com.nisum.paymentvendorsimulator.domain.dto.SimulatorResponse;
import com.nisum.paymentvendorsimulator.domain.dto.SimulatorSellerProtection;
import org.springframework.stereotype.Service;

import java.util.Arrays;
import java.time.LocalDateTime;

@Service
public class SimulatorService {

  public SimulatorResponse authorize(String id) {

    return new SimulatorResponse(
            id,
            "CREATED",
            new SimulatorAmount("10.99", "USD"),
            "INVOICE-123",
            new SimulatorSellerProtection("ELIGIBLE", Arrays.asList("ITEM_NOT_RECEIVED", "UNAUTHORIZED_TRANSACTION")),
            LocalDateTime.of(2019, 10, 10, 23, 23, 45),
            LocalDateTime.of(2017, 10, 10, 23, 23, 45),
            LocalDateTime.of(2018, 10, 10, 23, 23, 45),
            Arrays.asList(
                    new SimulatorLink("self","GET", "https://api-m.paypal.com/v2/payments/authorizations/" + id ),
                    new SimulatorLink("capture","POST", "https://api-m.paypal.com/v2/payments/authorizations/" + id + "/capture" )
            )
    );
  }
}
